<p align="center"> 
  <br/>  
  <a href="https://opensource.org/license/agpl-v3"><img src="https://img.shields.io/badge/License-AGPL_v3-blue.svg?color=3F51B5&style=for-the-badge&label=License&logoColor=000000&labelColor=ececec" alt="License: AGPLv3"></a>
  <a href="https://discord.immich.app">
    <img src="https://img.shields.io/discord/979116623879368755.svg?label=Discord&logo=Discord&style=for-the-badge&logoColor=000000&labelColor=ececec" atl="Discord"/>
  </a>
  <br/>  
  <br/>   
</p>

<p align="center">
<img src="../design/immich-logo-stacked-light.svg" width="300" title="Login With Custom URL">
</p>
<h3 align="center">Immich - Solution de sauvegarde performante et auto-hébergée de photos et de vidéos</h3>
<br/>
<a href="https://immich.app">
<img src="../design/immich-screenshots.png" title="Main Screenshot">
</a>
<br/>
<p align="center">
  <a href="../README.md">English</a>
  <a href="README_ca_ES.md">Català</a>
  <a href="README_es_ES.md">Español</a>
  <a href="README_it_IT.md">Italiano</a>
  <a href="README_ja_JP.md">日本語</a>
  <a href="README_ko_KR.md">한국어</a>
  <a href="README_de_DE.md">Deutsch</a>
  <a href="README_nl_NL.md">Nederlands</a>
  <a href="README_tr_TR.md">Türkçe</a>
  <a href="README_zh_CN.md">中文</a>
  <a href="README_uk_UA.md">Українська</a>
  <a href="README_ru_RU.md">Русский</a>
  <a href="README_pt_BR.md">Português Brasileiro</a>
  <a href="README_sv_SE.md">Svenska</a>
  <a href="README_ar_JO.md">العربية</a>
  <a href="README_th_TH.md">ภาษาไทย</a>
</p>

## Clause de non-responsabilité

- ⚠️ Le projet est en **très fort** développement.
- ⚠️ Attendez-vous à rencontrer des bogues et des changements importants.
- ⚠️ **N'utilisez pas cette application comme seul support de sauvegarde de vos photos et vos vidéos.**
- ⚠️ Ayez toujours un plan de sauvegarde en [3-2-1](https://www.seagate.com/fr/fr/blog/what-is-a-3-2-1-backup-strategy/) pour vos précieuses photos et vidéos !

## Sommaire

- [Documentation officielle](https://immich.app/docs)
- [Feuille de route](https://github.com/orgs/immich-app/projects/1)
- [Démo](#démo)
- [Fonctionnalités](#fonctionnalités)
- [Introduction](https://immich.app/docs/overview/introduction)
- [Installation](https://immich.app/docs/install/requirements)
- [Contribution](https://immich.app/docs/overview/support-the-project)

## Documentation

Vous pouvez trouver la documentation principale ainsi que les guides d'installation sur https://immich.app/.

## Démo

Vous pouvez accéder à la démo en ligne sur https://demo.immich.app. Pour l'application mobile, vous pouvez utiliser `https://demo.immich.app` dans le champ `URL du point d'accès au serveur`

```bash title="Identifiants pour la démo"
Les identifiants
email: demo@immich.app
mot de passe: demo
```

## Activités

![Activités](https://repobeats.axiom.co/api/embed/9e86d9dc3ddd137161f2f6d2e758d7863b1789cb.svg "Image des statistiques Repobeats")

## Fonctionnalités

| Fonctionnalités                                                  | Mobile | Web |
| ---------------------------------------------------------------- | ------ | --- |
| Téléverser et voir les vidéos et photos                          | Oui    | Oui |
| Sauvegarde automatique quand l'application est ouverte           | Oui    | N/A |
| Prévention contre la duplication des photos et des vidéos        | Oui    | Oui |
| Sélection des albums à sauvegarder                               | Oui    | N/A |
| Télécharger les photos et les vidéos sur l'appareil              | Oui    | Oui |
| Support multi-utilisateur                                        | Oui    | Oui |
| Albums et albums partagés                                        | Oui    | Oui |
| Barre de défilement mobile                                       | Oui    | Oui |
| Support des formats raw                                          | Oui    | Oui |
| Vue sur les métadonnées (EXIF, carte)                            | Oui    | Oui |
| Rechercher par métadonnées, objets, faces et CLIP                | Oui    | Oui |
| Fonctions d'administration (gestion des utilisateurs)            | Non    | Oui |
| Sauvegarde en tâche de fond                                      | Oui    | N/A |
| Défilement virtuel                                               | Oui    | Oui |
| Support de l'OAuth                                               | Oui    | Oui |
| Clés d'API                                                       | N/A    | Oui |
| Sauvegarde et lecture des LivePhoto/MotionPhoto                  | Oui    | Oui |
| Support de l'affichage des images à 360°                         | Non    | Oui |
| Structure de stockage définissable                               | Oui    | Oui |
| Partage public                                                   | Non    | Oui |
| Archives et favoris                                              | Oui    | Oui |
| Carte globale                                                    | Oui    | Oui |
| Partage entre utilisateurs                                       | Oui    | Oui |
| Reconnaissance et regroupement facial                            | Oui    | Oui |
| Souvenirs (il y a x années)                                      | Oui    | Oui |
| Support hors-ligne                                               | Oui    | Non |
| Gallerie en lecture seule                                        | Oui    | Oui |
| Empilage de photos                                               | Oui    | Oui |


## Contributeurs

<a href="https://github.com/alextran1502/immich/graphs/contributors">
  <img src="https://contrib.rocks/image?repo=immich-app/immich" width="100%"/>
</a>

## Historique des favoris

<a href="https://star-history.com/#immich-app/immich&Date">
 <picture>
   <source media="(prefers-color-scheme: dark)" srcset="https://api.star-history.com/svg?repos=immich-app/immich&type=Date&theme=dark" />
   <source media="(prefers-color-scheme: light)" srcset="https://api.star-history.com/svg?repos=immich-app/immich&type=Date" />
   <img alt="Star History Chart" src="https://api.star-history.com/svg?repos=immich-app/immich&type=Date" width="100%" />
 </picture>
</a>
